Name:           xwxapt
Version:        1.2
Release:        1%{?dist}
Summary:        GTK+ graphical application for decoding and saving weather images

Group:          Applications/Communications
License:        GPLv2+
URL:            http://5b4az.chronos.org.uk/pages/apt.html
Source0:        http://5b4az.chronos.org.uk/pkg/apt/xwxapt/%{name}-%{version}.tar.gz
#add .desktop file
Source1:        %{name}.desktop
#temporary Icon
Source2:        %{name}.png
#Wrapper script for user config
Source3:        %{name}.sh.in
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  automake, autoconf, gtk2-devel, desktop-file-utils
#Requires:       

%description
xwxapt is a GTK+ graphical version of wxapt. It uses the same decoding
engine as wxapt but it displays APT images at half-size as they are
received, storing the full-sized files when reception is completed. 

It also displays some status information (audio level, sync level,
sync status etc) and text messages as it runs.

%prep
%setup -qn %{name}


%build
./autogen.sh
%configure
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" 


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#install default user configuration file
install -p -D -m 0644 $RPM_BUILD_DIR/%{name}/xwxapt/xwxaptrc $RPM_BUILD_ROOT%{_datadir}/%{name}/xwxaptrc

#move original binary to libexecdir
mkdir -p $RPM_BUILD_ROOT%{_libexecdir}/
mv $RPM_BUILD_ROOT%{_bindir}/%{name} $RPM_BUILD_ROOT%{_libexecdir}/%{name}-bin

#install wrapper script 
install -p -D -m 0755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/xwxapt


# no upstream .desktop or icon yet so we'll use a temporary one
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
desktop-file-install  \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}
# --vendor="fedora" obsolete per new guidelines

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS README
%doc doc/xwxapt.html
%{_bindir}/*
%{_libexecdir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop



%changelog
* Wed Jan 14 2009 Randall J. Berry 'Dp67' <dp67@fedoraproject.org> 1.2-1
- Upstream upgrade to 1.2
- Mock build f9/f10/devel
- check rpmlint 3 packages and 1 specfiles checked; 0 errors, 0 warnings.
- submit for review


* Mon Jan 12 2009 Randall J. Berry 'Dp67' <dp67@fedoraproject.org> 1.1-2
- Mock build f9/f10/devel
- check rpmlint


* Sun Sep 21 2008 Randall J. Berry 'Dp67' <dp67@fedoraproject.org> 1.1-1
- Upstream upgrade to 1.1
- Build test for f9

* Sun Mar 02 2008 Sindre Pedersen Bjordal <sindrepb@fedoraproject.org> - 0.9-1
- Initial build
